org.jboss.security.web

## Class DomainDelegatingAuthenticator

- java.lang.Object
- - org.apache.catalina.valves.ValveBase
  - - org.apache.catalina.authenticator.AuthenticatorBase
    - - org.jboss.security.web.DomainDelegatingAuthenticator

- All Implemented Interfaces:
    MBeanRegistration, org.apache.catalina.Authenticator, org.apache.catalina.Contained, org.apache.catalina.Lifecycle, org.apache.catalina.Valve

      public class DomainDelegatingAuthenticator
      extends org.apache.catalina.authenticator.AuthenticatorBase

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.authenticator.AuthenticatorBase

      `algorithm, cache, changeSessionIdOnAuthentication, context, DEFAULT_ALGORITHM, digest, disableProxyCaching, entropy, info, lifecycle, random, randomClass, securePagesWithPragma, SESSION_ID_BYTES, sm, sso, started`

    - ### Fields inherited from class org.apache.catalina.valves.ValveBase

      `container, containerLog, controller, domain, mserver, next, oname`

    - ### Fields inherited from interface org.apache.catalina.Lifecycle

      `AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, DESTROY_EVENT, INIT_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DomainDelegatingAuthenticator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `authenticate(org.apache.catalina.connector.Request request, javax.servlet.http.HttpServletResponse httpServletResponse, org.apache.catalina.deploy.LoginConfig loginConfig)`

    - ### Methods inherited from class org.apache.catalina.authenticator.AuthenticatorBase

      `addLifecycleListener, associate, authenticate, findLifecycleListeners, generateSessionId, getAlgorithm, getCache, getContainer, getDigest, getDisableProxyCaching, getEntropy, getInfo, getRandom, getRandomClass, getSecurePagesWithPragma, invoke, isChangeSessionIdOnAuthentication, login, logout, reauthenticateFromSSO, register, removeLifecycleListener, setAlgorithm, setCache, setChangeSessionIdOnAuthentication, setContainer, setDisableProxyCaching, setEntropy, setRandomClass, setSecurePagesWithPragma, start, stop, unregister`

    - ### Methods inherited from class org.apache.catalina.valves.ValveBase

      `backgroundProcess, createObjectName, event, getContainerName, getController, getDomain, getNext, getObjectName, getParentName, postDeregister, postRegister, preDeregister, preRegister, setController, setNext, setObjectName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DomainDelegatingAuthenticator

          public DomainDelegatingAuthenticator()

  - ### Method Detail

    - #### authenticate

          protected boolean authenticate(org.apache.catalina.connector.Request request,
                             javax.servlet.http.HttpServletResponse httpServletResponse,
                             org.apache.catalina.deploy.LoginConfig loginConfig)
                                  throws IOException

      Specified by:
        `authenticate` in class `org.apache.catalina.authenticator.AuthenticatorBase`
      Throws:
        `IOException`

Copyright © 2014. All Rights Reserved.